安装SDK工具包
所有文档

          弹性公网IP EIP

          安装SDK工具包

          运行环境

          PHP SDK包要求运行环境至少为PHP 5.3.2 版本。

          安装SDK

          1. 官方网站下载EIP PHP SDK工具包(ZIP包)。
          2. 解压ZIP包之后有如下文件:
          BaiduBce.phar			//PHP SDK
          1. 在脚本文件中添加以下代码,即可以使用SDK包:
          include 'BaiduBce.phar';
           require 'YourConf.php';

          SDK目录结构

          BaiduBce.phar
          ├──src
          │   └── BaiduBce
          │       ├── Auth                //BCE签名相关
          │       ├── Exception           //BCE客户端的异常
          │       ├── Http                //BCE的Http通信相关
          │       ├── Log                 //BCE日志
          │       ├── Services
          │       │   └── Eip              //EIP主目录,此目录必须保留
          │       │       ├── EipClient.php //EIP操作类,所有操作可以通过EipClient类可以完成
          │       │       └── model       //EIP内部model,如Billing
          │       │   └── EipGroup          //EIPGroup主目录,此目录必须保留
          │       │       ├── EipGroupClient.php //EIPGroup操作类,所有操作可以通过EipGroupClient类可以完成
          │       │       └── model       //EIPGroup内部model,如Billing,Reservation
          │       └── Util                //BCE公用工具
          └──vendor                       //第三方库
          上一篇
          概述
          下一篇
          初始化